Subject: bug#17467: 24.3; locate-library returning spurious path

From: Glenn Morris <[email-masked]>
Date: Sun, 11 May 2014 17:19:54 -0400

Alex Kosorukoff wrote:

> It can cause user inconvenience or pose a security/privacy issue
> because a random file named "tramp" or "tramp.gz" placed in some
> directory of the load-path can be loaded instead of the standard
> library without user knowledge.

This argument does not fly, because if someone can write a "tramp" file
to a directory in your load-path, they can just as easily write
"tramp.el". Random files should not be being written to your load-path,
and you should not be adding inappropriate directories to that path.
Your immediate problem was having ~/.emacs.d in load-path.